<?php
/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */
?>
<div class="card-deck">
    <div class="card bg-blue text-light">
        <div class="card-body">
            <h4 class="card-title"><?php $Strings->get("Campers") ?></h4>
            <h1><i class="fas fa-fw fa-users"></i> <?php echo $database->count('campers'); ?></h1>
        </div>
        <div class="card-footer">
            <a href="app.php?page=people&filter=camper" class="text-light"><i class="fas fa-arrow-right"></i> <?php $Strings->get("View Campers"); ?></a>
        </div>
    </div>

    <div class="card bg-indigo text-light">
        <div class="card-body">
            <h4 class="card-title"><?php $Strings->get("Adults") ?></h4>
            <h1><i class="fas fa-fw fa-users"></i> <?php echo $database->count('adults'); ?></h1>
        </div>
        <div class="card-footer">
            <a href="app.php?page=people&filter=adult" class="text-light"><i class="fas fa-arrow-right"></i> <?php $Strings->get("View Adults"); ?></a>
        </div>
    </div>

    <div class="card bg-indigo text-light">
        <div class="card-body">
            <h4 class="card-title"><?php $Strings->get("Youth") ?></h4>
            <h1><i class="fas fa-fw fa-users"></i> <?php echo $database->count('youth'); ?></h1>
        </div>
        <div class="card-footer">
            <a href="app.php?page=people&filter=youth" class="text-light"><i class="fas fa-arrow-right"></i> <?php $Strings->get("View Youth"); ?></a>
        </div>
    </div>
</div>

<div class="card-deck mt-sm-4">
    <div class="card bg-green text-light">
        <div class="card-body">
            <h4 class="card-title"><?php $Strings->get("Total Income") ?></h4>
            <h1><i class="fas fa-fw fa-money-bill-alt"></i> $<?php
                $amounts = $database->select("payments", "amount");
                $total = 0.0;
                foreach ($amounts as $amt) {
                    $total += $amt;
                }
                echo number_format($total, 2);
                ?></h1>
        </div>
        <div class="card-footer">
            <a href="app.php?page=payments" class="text-light"><i class="fas fa-arrow-right"></i> <?php $Strings->get("View Payments"); ?></a>
        </div>
    </div>

    <div class="card bg-green text-light">
        <div class="card-body">
            <h4 class="card-title"><?php $Strings->get("Card Payments") ?></h4>
            <h1><i class="fas fa-fw fa-credit-card"></i> $<?php
                $amounts = $database->select("payments", "amountpaid");
                $total = 0.0;
                foreach ($amounts as $amt) {
                    $total += $amt;
                }
                echo number_format($total, 2);
                ?></h1>
        </div>
        <div class="card-footer">
            <a href="app.php?page=payments" class="text-light"><i class="fas fa-arrow-right"></i> <?php $Strings->get("View Payments"); ?></a>
        </div>
    </div>
</div>
